CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel: Kernel::ConstructSphere_3 Concept Reference

CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::ConstructSphere_3 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableQuaternaryFunction`

See also
  `CGAL::Sphere_3<Kernel>`

## Operations
A model of this concept must provide:
Kernel::Sphere_3 | operator() (const Kernel::Point_3 &center, const Kernel::FT &squared_radius, const Orientation &orientation=COUNTERCLOCKWISE)
| introduces a sphere initialized to the sphere with center `center`, squared radius `squared_radius` and orientation `orientation`.
Kernel::Sphere_3 | operator() (const Kernel::Point_3 &p, const Kernel::Point_3 &q, const Kernel::Point_3 &r, const Kernel::Point_3 &s)
| introduces a sphere initialized to the unique sphere which passes through the points `p`, `q`, `r` and `s`.
Kernel::Sphere_3 | operator() (const Kernel::Point_3 &p, const Kernel::Point_3 &q, const Kernel::Point_3 &r, const Orientation &o=COUNTERCLOCKWISE)
| introduces a sphere initialized to the smallest sphere which passes through the points `p`, `q`, and `r`.
Kernel::Sphere_3 | operator() (const Kernel::Point_3 &p, const Kernel::Point_3 &q, const Orientation &o=COUNTERCLOCKWISE)
| introduces a sphere initialized to the smallest sphere which passes through the points `p` and `q`.
Kernel::Sphere_3 | operator() (const Kernel::Point_3 &center, const Orientation &orientation=COUNTERCLOCKWISE)
| introduces a sphere `s` initialized to the sphere with center `center`, squared radius zero and orientation `orientation`.
Kernel::Sphere_3 | operator() (const Kernel::Circle_3 &c)
| introduces a sphere initialized to the diametral sphere of the circle.

## Member Function Documentation

## ◆ operator()() [1/5]

Kernel::Sphere_3 Kernel::ConstructSphere_3::operator() | ( | const Kernel::Point_3 & | center,
|  | const Kernel::FT & | squared_radius,
|  | const Orientation & | orientation = `COUNTERCLOCKWISE`
| ) |  |

introduces a sphere initialized to the sphere with center `center`, squared radius `squared_radius` and orientation `orientation`.

Precondition
  `orientation != CGAL::COPLANAR` and `squared_radius >= 0`.

## ◆ operator()() [2/5]

Kernel::Sphere_3 Kernel::ConstructSphere_3::operator() | ( | const Kernel::Point_3 & | center,
|  | const Orientation & | orientation = `COUNTERCLOCKWISE`
| ) |  |

introduces a sphere `s` initialized to the sphere with center `center`, squared radius zero and orientation `orientation`.

Precondition
  `orientation != CGAL::COPLANAR`.

Postcondition
  `s.is_degenerate()` = `true`.

## ◆ operator()() [3/5]

Kernel::Sphere_3 Kernel::ConstructSphere_3::operator() | ( | const Kernel::Point_3 & | p,
|  | const Kernel::Point_3 & | q,
|  | const Kernel::Point_3 & | r,
|  | const Kernel::Point_3 & | s
| ) |  |

introduces a sphere initialized to the unique sphere which passes through the points `p`, `q`, `r` and `s`.

The orientation of the sphere is the orientation of the point quadruple `p`, `q`, `r`, `s`.

Precondition
  `p`, `q`, `r`, and `s` are not coplanar.

## ◆ operator()() [4/5]

Kernel::Sphere_3 Kernel::ConstructSphere_3::operator() | ( | const Kernel::Point_3 & | p,
|  | const Kernel::Point_3 & | q,
|  | const Kernel::Point_3 & | r,
|  | const Orientation & | o = `COUNTERCLOCKWISE`
| ) |  |

introduces a sphere initialized to the smallest sphere which passes through the points `p`, `q`, and `r`.

The orientation of the sphere is `o`.

Precondition
  `o != CGAL::COPLANAR`.

## ◆ operator()() [5/5]

Kernel::Sphere_3 Kernel::ConstructSphere_3::operator() | ( | const Kernel::Point_3 & | p,
|  | const Kernel::Point_3 & | q,
|  | const Orientation & | o = `COUNTERCLOCKWISE`
| ) |  |

introduces a sphere initialized to the smallest sphere which passes through the points `p` and `q`.

The orientation of the sphere is `o`.

Precondition
  `o != CGAL::COPLANAR`.